Products Related

Returns stock data for the distribution centers (Verteilzentrum) about a product.

Returns stock data for the distribution centers (Verteilzentrum) about a product.

get
https://api.migros.ch/migros/products/v8/products/{id}/stock-data

Path Parameters

idstringrequired

Product id for which to get stock data (slug not supported)

Response

application/json

Returned when successful

StockData

Information about the stock in the distribution centers (Verteilzentrum) from SAP.

distribution_centersarray[object]required
Show Child Parameters
product_idstringrequired

Sum of the effective quantities over all inventories.

Each EF value is floored before adding together.

total_quantityintegerrequired
get/migros/products/v8/products/{id}/stock-data
 
application/json

Returns a paged list of variants of the given product base or variant id.

Note that the variants end point does not support all parameters that the products end point
does. Only the parameters listed in the documentation are supported. Notably the region and
other price relevant things are not supported.

get
https://api.migros.ch/migros/products/v8/products/{id}/variants

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

verbositystring

Verbosity of output. If not specified, outputs information usually needed on product lists. You can output a flat list of product ids with ‘id’.

Allowed values:id

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ProductCollection

A collection of Product instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

facetsobjectDEPRECATED

Facets array.

productsarray[object]required

Represents a product in the API.

Show Child Parameters
get/migros/products/v8/products/{id}/variants
 
application/json

Returns a list of changes of a product.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/debug/products/{id}/versions

Path Parameters

idstringrequired

Response

200

Returned when successful

get/migros/products/v8/debug/products/{id}/versions
 
200

Returns a specific version of a product.

The accepted parameters are the same as for the /products route.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/debug/products/{id}/versions/{date}

Path Parameters

idstringrequired
datestring(date-time)required

Date and time to fetch product, e.g. 2018-04-16T10:15:40+02:00.

Response

Returned when successful

get/migros/products/v8/debug/products/{id}/versions/{date}
 

AbstractBadge

object
customstring

Image URL with placeholders for {width} and {height}.

hex_colorstring

The hexadecimal color code for this badge.

originalstring

Full size image.

stackstring

Image URL with a placeholder for a Rokka {stack}.

vectorstring

Vector image.

Example